Subject: Re: [PATCH net-next] net: sctp: get rid of SCTP_DBG_TSNS entirely

From: Daniel Borkmann <[email-masked]>
Date: Mon, 01 Jul 2013 18:33:57 +0200

On 07/01/2013 01:33 PM, Neil Horman wrote:
> On Mon, Jul 01, 2013 at 11:31:36AM +0200, Daniel Borkmann wrote:
>> After having reworked the debugging framework, Neil and Vlad agreed to
>> get rid of the leftover SCTP_DBG_TSNS code for a couple of reasons:
>>
>> We can use systemtap scripts to investigate these things, we now have
>> pr_debug() helpers that make life easier, and if we really need anything
>> else besides those tools, we will be forced to come up with something
>> better than we have there. Therefore, get rid of this ifdef debugging
>> code entirely for now.
>>
>> Signed-off-by: Daniel Borkmann <[email-masked]>
>> CC: Vlad Yasevich <[email-masked]>
>> CC: Neil Horman <[email-masked]>
>> ---
>>   On top of [PATCH net-next v4 0/2] Rework SCTP debugging framework.
>>
> I think you mean on top of v4 2/2, but regardless:
>
> Acked-by: Neil Horman <[email-masked]>
>
> I don't suppose you want to write a stap script to drop in the sourceware
> examples area, in case anyone comes looking for this functionality again? :)

I could put this into my longer-term todo queue, sure, sounds like a plan.

> Thanks
> Neil